package com.ffii.fpsms.modules.master.web

import com.ffii.fpsms.modules.master.entity.projections.PrinterCombo
import com.ffii.fpsms.modules.master.service.PrinterService
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RequestMapping("printers")
@RestController
class PrinterController(
    private val printerService: PrinterService
) {
    @GetMapping("/combo")
    fun findCombo(): List<PrinterCombo> {
        return printerService.findCombo();
    }
}